<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Simulation Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_simulation-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Simulation Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class used to do simulations.  
 <a href="class_simulation.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for Simulation:</div>
<div class="dyncontent">
<div class="center"><img src="class_simulation__inherit__graph.png" border="0" usemap="#_simulation_inherit__map" alt="Inheritance graph"/></div>
<map name="_simulation_inherit__map" id="_simulation_inherit__map">
<area shape="rect" id="node2" href="classhandle.html" title="handle" alt="" coords="17,5,77,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad20ec1f32b2ac6c9557529412cf7d217"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#ad20ec1f32b2ac6c9557529412cf7d217">Simulation</a> (in <a class="el" href="class_simulation.html#ac57ff178b11981a1e8ee1d9a535fdd0e">sim_model_name</a>)</td></tr>
<tr class="memdesc:ad20ec1f32b2ac6c9557529412cf7d217"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="#ad20ec1f32b2ac6c9557529412cf7d217">More...</a><br /></td></tr>
<tr class="separator:ad20ec1f32b2ac6c9557529412cf7d217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a746809aa9dfd0a6b3ae4de53d915ec82"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#a746809aa9dfd0a6b3ae4de53d915ec82">setParams</a> (in obj, in <a class="el" href="class_simulation.html#a2d2596222dbfa444e8e36661ec5a2c9d">params</a>)</td></tr>
<tr class="memdesc:a746809aa9dfd0a6b3ae4de53d915ec82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the params property.  <a href="#a746809aa9dfd0a6b3ae4de53d915ec82">More...</a><br /></td></tr>
<tr class="separator:a746809aa9dfd0a6b3ae4de53d915ec82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c101984e5a2cc1c421dd1ce869efebf"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#a9c101984e5a2cc1c421dd1ce869efebf">setModel</a> (in obj, in <a class="el" href="class_simulation.html#a8d1688130e3ba08f8b993d532cb81606">model</a>)</td></tr>
<tr class="memdesc:a9c101984e5a2cc1c421dd1ce869efebf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the model property.  <a href="#a9c101984e5a2cc1c421dd1ce869efebf">More...</a><br /></td></tr>
<tr class="separator:a9c101984e5a2cc1c421dd1ce869efebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a60bf0fef7a4b92093c792145acb517"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#a9a60bf0fef7a4b92093c792145acb517">setController</a> (in obj, in <a class="el" href="class_simulation.html#aec49e8cbd9fb1bcb9d695f7ab283bd95">controller</a>)</td></tr>
<tr class="memdesc:a9a60bf0fef7a4b92093c792145acb517"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the controller property.  <a href="#a9a60bf0fef7a4b92093c792145acb517">More...</a><br /></td></tr>
<tr class="separator:a9a60bf0fef7a4b92093c792145acb517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57c9fa98355b620000c229d7a738f9f3"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#a57c9fa98355b620000c229d7a738f9f3">nextStep</a> (in obj)</td></tr>
<tr class="memdesc:a57c9fa98355b620000c229d7a738f9f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increment the index property by 1.  <a href="#a57c9fa98355b620000c229d7a738f9f3">More...</a><br /></td></tr>
<tr class="separator:a57c9fa98355b620000c229d7a738f9f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb4b2d8a9c76d4b12e9b2b5b5821680a"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#aeb4b2d8a9c76d4b12e9b2b5b5821680a">run</a> (in obj, in <a class="el" href="class_simulation.html#ae2b0415b572e4308dc810ad1306534af">ref</a>, in duration)</td></tr>
<tr class="memdesc:aeb4b2d8a9c76d4b12e9b2b5b5821680a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Run the simulation.  <a href="#aeb4b2d8a9c76d4b12e9b2b5b5821680a">More...</a><br /></td></tr>
<tr class="separator:aeb4b2d8a9c76d4b12e9b2b5b5821680a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa77100b541ba43fcfb22723a677e480d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#aa77100b541ba43fcfb22723a677e480d">reset</a> (in obj)</td></tr>
<tr class="memdesc:aa77100b541ba43fcfb22723a677e480d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset all the properties.  <a href="#aa77100b541ba43fcfb22723a677e480d">More...</a><br /></td></tr>
<tr class="separator:aa77100b541ba43fcfb22723a677e480d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2d2596222dbfa444e8e36661ec5a2c9d"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#a2d2596222dbfa444e8e36661ec5a2c9d">params</a></td></tr>
<tr class="memdesc:a2d2596222dbfa444e8e36661ec5a2c9d"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_parameters.html" title="Class that handles the parameters for: simulation, motor, controller, reference signal and environmen...">Parameters</a> object.  <a href="#a2d2596222dbfa444e8e36661ec5a2c9d">More...</a><br /></td></tr>
<tr class="separator:a2d2596222dbfa444e8e36661ec5a2c9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d1688130e3ba08f8b993d532cb81606"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#a8d1688130e3ba08f8b993d532cb81606">model</a></td></tr>
<tr class="memdesc:a8d1688130e3ba08f8b993d532cb81606"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_i_model.html" title="Base class for all the models implementations. ">IModel</a> object.  <a href="#a8d1688130e3ba08f8b993d532cb81606">More...</a><br /></td></tr>
<tr class="separator:a8d1688130e3ba08f8b993d532cb81606"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec49e8cbd9fb1bcb9d695f7ab283bd95"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#aec49e8cbd9fb1bcb9d695f7ab283bd95">controller</a></td></tr>
<tr class="memdesc:aec49e8cbd9fb1bcb9d695f7ab283bd95"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_i_controller.html" title="Base class for all the controllers implementations. ">IController</a> object.  <a href="#aec49e8cbd9fb1bcb9d695f7ab283bd95">More...</a><br /></td></tr>
<tr class="separator:aec49e8cbd9fb1bcb9d695f7ab283bd95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabb988f4130c0cd8acb9c0457d6e4c4a"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#aabb988f4130c0cd8acb9c0457d6e4c4a">index</a></td></tr>
<tr class="memdesc:aabb988f4130c0cd8acb9c0457d6e4c4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current step in the actual simulation.  <a href="#aabb988f4130c0cd8acb9c0457d6e4c4a">More...</a><br /></td></tr>
<tr class="separator:aabb988f4130c0cd8acb9c0457d6e4c4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b0415b572e4308dc810ad1306534af"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#ae2b0415b572e4308dc810ad1306534af">ref</a></td></tr>
<tr class="memdesc:ae2b0415b572e4308dc810ad1306534af"><td class="mdescLeft">&#160;</td><td class="mdescRight">The reference signal.  <a href="#ae2b0415b572e4308dc810ad1306534af">More...</a><br /></td></tr>
<tr class="separator:ae2b0415b572e4308dc810ad1306534af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57ff178b11981a1e8ee1d9a535fdd0e"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simulation.html#ac57ff178b11981a1e8ee1d9a535fdd0e">sim_model_name</a></td></tr>
<tr class="memdesc:ac57ff178b11981a1e8ee1d9a535fdd0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the simulation.  <a href="#ac57ff178b11981a1e8ee1d9a535fdd0e">More...</a><br /></td></tr>
<tr class="separator:ac57ff178b11981a1e8ee1d9a535fdd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class used to do simulations. </p>
<p>It contains params, model, controller and also the reference signal. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad20ec1f32b2ac6c9557529412cf7d217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad20ec1f32b2ac6c9557529412cf7d217">&#9670;&nbsp;</a></span>Simulation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_simulation.html">Simulation</a> </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>sim_model_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Class constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sim_model_name</td><td>Name of the simulation</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>instance of the <a class="el" href="class_simulation.html" title="Class used to do simulations. ">Simulation</a> class. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a57c9fa98355b620000c229d7a738f9f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57c9fa98355b620000c229d7a738f9f3">&#9670;&nbsp;</a></span>nextStep()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function nextStep </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Increment the index property by 1. </p>

</div>
</div>
<a id="aa77100b541ba43fcfb22723a677e480d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa77100b541ba43fcfb22723a677e480d">&#9670;&nbsp;</a></span>reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function reset </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reset all the properties. </p>

</div>
</div>
<a id="aeb4b2d8a9c76d4b12e9b2b5b5821680a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb4b2d8a9c76d4b12e9b2b5b5821680a">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function run </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>ref</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>duration</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Run the simulation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ref</td><td>Reference signal </td></tr>
    <tr><td class="paramname">duration</td><td>Total duration of the simulation in seconds </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9a60bf0fef7a4b92093c792145acb517"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a60bf0fef7a4b92093c792145acb517">&#9670;&nbsp;</a></span>setController()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function setController </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>controller</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the controller property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">controller</td><td>Name of the <a class="el" href="class_i_controller.html" title="Base class for all the controllers implementations. ">IController</a> to use</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns false if controller is not a <a class="el" href="class_i_controller.html" title="Base class for all the controllers implementations. ">IController</a> object, true otherwise. </dd></dl>

</div>
</div>
<a id="a9c101984e5a2cc1c421dd1ce869efebf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c101984e5a2cc1c421dd1ce869efebf">&#9670;&nbsp;</a></span>setModel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function setModel </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>model</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the model property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">model</td><td>Name of the <a class="el" href="class_i_model.html" title="Base class for all the models implementations. ">IModel</a> to use</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns false if model is not a <a class="el" href="class_i_model.html" title="Base class for all the models implementations. ">IModel</a> object, true otherwise. </dd></dl>

</div>
</div>
<a id="a746809aa9dfd0a6b3ae4de53d915ec82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a746809aa9dfd0a6b3ae4de53d915ec82">&#9670;&nbsp;</a></span>setParams()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function setParams </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the params property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">params</td><td><a class="el" href="class_parameters.html" title="Class that handles the parameters for: simulation, motor, controller, reference signal and environmen...">Parameters</a> object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns false if params is not a <a class="el" href="class_parameters.html" title="Class that handles the parameters for: simulation, motor, controller, reference signal and environmen...">Parameters</a> object, true otherwise. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aec49e8cbd9fb1bcb9d695f7ab283bd95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec49e8cbd9fb1bcb9d695f7ab283bd95">&#9670;&nbsp;</a></span>controller</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property controller</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="class_i_controller.html" title="Base class for all the controllers implementations. ">IController</a> object. </p>

</div>
</div>
<a id="aabb988f4130c0cd8acb9c0457d6e4c4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabb988f4130c0cd8acb9c0457d6e4c4a">&#9670;&nbsp;</a></span>index</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property index</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The current step in the actual simulation. </p>

</div>
</div>
<a id="a8d1688130e3ba08f8b993d532cb81606"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d1688130e3ba08f8b993d532cb81606">&#9670;&nbsp;</a></span>model</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property model</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="class_i_model.html" title="Base class for all the models implementations. ">IModel</a> object. </p>

</div>
</div>
<a id="a2d2596222dbfa444e8e36661ec5a2c9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d2596222dbfa444e8e36661ec5a2c9d">&#9670;&nbsp;</a></span>params</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property params</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="class_parameters.html" title="Class that handles the parameters for: simulation, motor, controller, reference signal and environmen...">Parameters</a> object. </p>

</div>
</div>
<a id="ae2b0415b572e4308dc810ad1306534af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2b0415b572e4308dc810ad1306534af">&#9670;&nbsp;</a></span>ref</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property ref</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The reference signal. </p>

</div>
</div>
<a id="ac57ff178b11981a1e8ee1d9a535fdd0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac57ff178b11981a1e8ee1d9a535fdd0e">&#9670;&nbsp;</a></span>sim_model_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property sim_model_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the simulation. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Simulation/<a class="el" href="_simulation_8m.html">Simulation.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
